Module
Contents
Index 🔎︎

# Add-in Functions

The following describes and lists some of the available add-in functions.

Tilläggsbegrepp

Det finns också en beskrivning av tilläggsgränssnittet i LibreOffice Calc i hjälpen. Dessutom beskrivs viktiga funktioner och deras parametrar i hjälpen för det gemensamma biblioteket DLL-tillägget i LibreOffice Calc
.

## Medföljande add-ins

I LibreOffice finns exempel för tilläggsgränssnittet till LibreOffice Calc.

Analysfunktioner del ett

Analysfunktioner del två

## ANTALMÅNADER

Beräknar skillnaden i månader mellan två datum.

### Syntax

MÅNADER(Startdatum; Slutdatum; Typ)

Startdatum är det första datumet

Slutdatum är det andra datumet

Typ anger typen av differenser. Möjliga värden omfattar 0 (intervall) och 1 (i kalendermånader).

## ANTALVECKOR

Beräknar skillnaden i veckor mellan två datum.

### Syntax

VECKOR(Startdatum; Slutdatum; Typ)

Startdatum är det första datumet

Slutdatum är det andra datumet

Typ beräknar typen av differens. Möjliga värden är 0 (intervall) och 1 (i antal veckor).

## ANTALÅR

Beräknar skillnaden i år mellan två datum.

### Syntax

ÅR(Startdatum; Slutdatum; Typ)

Startdatum är det första datumet

Slutdatum är det andra datumet

Typ anger typen av differens. Möjliga värden är 0 (intervall) och 1 (i kalenderår).

## DAGARIMÅNADEN

Beräknar antalet dagar under den månad då datumet som angetts inträffar.

### Syntax

DAGARIMÅNADEN(datum)

Datum är alla datum i respektive månad under ett valfritt år. Parametern Datum måste ha ett giltigt datum i enlighet med de lokala inställningarna för LibreOffice.

### Exempel

=DAGARIMÅNADEN(A1) returnerar 29 dagar om A1 innehåller 1968-02-17, ett giltigt datum för 1968.

## DAGARPÅÅRET

Beräknar antalet dagar under det år då datumet som angetts inträffar.

### Syntax

DAGARPÅÅRET(datum)

Datum är alla datum inom ett visst år. Parametern Datum måste ha ett giltigt datum i enlighet med de lokala inställningarna för LibreOffice.

### Exempel

=DAGARPERÅR(A1) returnerar 366 dagar om A1 innehåller 1968-02-29, ett giltigt datum för 1968.

## ROT13

Krypterar en teckensträng genom att flytta tecknen 13 positioner i alfabetet. Efter bokstaven Ö börjar alfabetet om igen (rotation). Genom att använda krypteringsfunktionen igen på den returnerade koden kan du dekryptera texten.

### Syntax

ROT13(text)

Text är den textsträng som ska krypteras. ROT13(ROT13(Text)) dekrypterar koden.

## VECKORPERÅR

Beräknar antalet veckor under det år då datumet som angetts inträffar. Antalet veckor definieras så här: en vecka som sträcker sig över två år läggs till det året där de flesta dagarna i veckan finns.

### Syntax

VECKORPERÅR(datum)

Datum är alla datum inom ett visst år. Parametern Datum måste ha ett giltigt datum i enlighet med de lokala inställningarna för LibreOffice.

### Exempel

VECKORPERÅR(A1) returnerar 53 om A1 innehåller 1970-02-17, ett giltigt datum för 1970.

## ÄRSKOTTÅR

Fastställer om ett år är ett skottår. Om så är fallet, returneras värdet 1 (SANT). Om inte, returneras 0 (FALSKT).

### Syntax

ÄRSKOTTÅR("Datum")

Date specifies whether a given date falls within a leap year. The Date parameter must be a valid date.

### Exempel

=ÄRSKOTTÅR(A1) returnerar 1, om A1 innehåller 1968-02-29, det giltiga datumet 29 februari 1968 i den lokala språkinställningen.

You may also use =ISLEAPYEAR(DATE(1968;2;29)) or =ISLEAPYEAR("1968-02-29") giving the date string in the ISO 8601 notation.

Använd aldrig =ÄRSKOTTÅR(1968-02-29), eftersom detta först skulle beräkna 2 delat med 29 delat med 68. Beräkna sedan ÄRSKOTTÅR-funktionen från det här numret som ett seriellt datumtal.

## Tillägg via LibreOffice API

Add-ins can also be implemented through the LibreOffice API.

Närliggande ämnen

Functions by Category